/* ==============================================================
   2. COMPONENTES (Botones, Preloader, Go-Top, Modal)
   ============================================================== */
/* Botones */
.btn {
  border: none;
  border-radius: 4px;
  transition: all 0.4s ease-in-out;
}
.btn:focus {
  background: #135F90;
  border-color: transparent;
  outline: none !important;
}
.btn-success {
  background: linear-gradient(0deg, rgba(0, 90, 245, 1) 0%, rgba(0, 56, 153, 1) 100%);
  font-weight: 600;
  letter-spacing: 0.5px;
  padding: 14px 32px;
  margin-top: 10px;
  margin-bottom: 10px;	
  color: #ffffff;
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.25);
  text-transform: uppercase;
}
.btn-success:hover, .btn-success:focus {
  background: linear-gradient(0deg, rgba(0, 56, 153, 1) 0%, rgba(0, 90, 245, 1) 100%);
}
/* Preloader */
.preloader {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 99999;
  display: flex;
  justify-content: center;
  align-items: center;
  background: #fff;
}
.sk-spinner-pulse {
  width: 60px;
  height: 60px;
  background-color: #135F90;
  border-radius: 100%;
  margin: 40px auto;
  animation: sk-pulseScaleOut 1s infinite ease-in-out;
}
@keyframes sk-pulseScaleOut {
  0% {
    transform: scale(0);
  }
  100% {
    transform: scale(1);
    opacity: 0;
  }
}
/* Go-Top */
.go-top {
  background-color: #135F90;
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.3);
  transition: all 0.4s ease;
  bottom: 2em;
  right: 2em;
  color: #ffffff;
  font-size: 26px;
  display: none;
  position: fixed;
  width: 45px;
  height: 45px;
  line-height: 42px;
  text-align: center;
  border-radius: 100%;
  z-index: 1000;
}
.go-top:hover {
  background: #033560;
  color: #fff;
}
/* Modal de Registro */
.modal-box .show-modal {
  display: block !important;
  position: fixed;
  z-index: 9999999;
  bottom: 30px;
  left: 30px;
  cursor: pointer;
  border-radius: 50px !important;
  color: #ffffff;
  background: linear-gradient(0deg, rgba(0, 90, 245, 1) 0%, rgba(0, 56, 153, 1) 100%);
  font-size: 18px;
  font-weight: bold;
  text-transform: none;
  padding: 12px 25px;
  border: none;
  box-shadow: 0 5px 15px rgba(0, 0, 0, 0.4);
  transition: all 0.4s ease;
}
.modal-box .show-modal:hover {
  color: #ffffff;
  background: linear-gradient(0deg, #135F90 0%, #033560 100%);
  transform: translateY(-3px);
}
.modal-box .show-modal:focus {
  color: #ffffff;
  border: none;
  outline: none;
}
.modal-backdrop.in {
  opacity: 0;
}
.modal-box .modal-dialog {
  width: 550px;
  margin: 150px auto 0;
}
.modal.fade .modal-dialog {
  transform: translateX(100px);
  transition: all 400ms cubic-bezier(.47, 1.64, .41, .8);
}
.modal.in .modal-dialog {
  transform: translateX(0);
}
.modal-box .modal-dialog .modal-content {
  background: #fff;
  text-align: center;
  border: none;
  border-radius: 15px;
  box-shadow: 0 0 15px rgba(0, 0, 0, 0.2);
}
.modal-box .modal-dialog .modal-content .close {
  color: #135F90;
  font-size: 30px;
  line-height: 15px;
  opacity: 1;
  position: absolute;
  left: auto;
  top: 20px;
  right: 15px;
  z-index: 1;
  transition: all 0.3s;
}
.modal-content .close:hover {
  color: #033560;
}
.modal-box .modal-dialog .modal-content .modal-body {
  padding: 0 45px 45px !important;
}
.modal-box .modal-dialog .modal-content .modal-body .modal-icon {
  color: #fff;
  background: #135F90;
  font-size: 70px;
  line-height: 125px;
  width: 125px;
  height: 125px;
  margin: -63px auto 15px;
  border-radius: 50%;
  display: inline-block;
}
.modal-box .modal-dialog .modal-content .modal-body .title {
  color: #033560;
  font-size: 22px;
  font-weight: 300;
  line-height: 30px;
  margin: 0 0 15px;
}
.modal-box .modal-dialog .modal-content .modal-body .description {
  color: #767676;
  font-size: 20px;
  font-weight: 400;
  margin: 0 0 15px;
}
.modal-box .modal-dialog .modal-content .modal-body .input-group {
  background-color: #eff7ff;
  padding: 2px 1px;
  margin: 0 auto;
  border: 1px solid #7EA8D9;
  border-radius: 25px;
}
.modal-box .modal-dialog .modal-content .modal-body input {
  background-color: transparent;
  font-size: 18px;
  width: calc(100% - 45px);
  height: 40px;
  border-radius: 25px;
  border: none;
  box-shadow: none;
}
.modal-box .modal-dialog .modal-content .modal-body input:focus {
  box-shadow: none;
}
.modal-box .modal-dialog .modal-content .modal-body .btn {
  color: #fff;
  background-color: #135F90;
  font-size: 20px;
  line-height: 35px;
  height: 40px;
  width: 40px;
  padding: 0;
  border-radius: 50%;
  border: none;
  transition: all 0.4s ease 0s;
}
.modal-box .modal-dialog .modal-content .modal-body .btn:hover {
  color: #fff;
  background: #033560;
  text-shadow: 3px 3px 3px rgba(0, 0, 0, 0.6);
}
@media only screen and (max-width: 767px) {
  .modal-box .modal-dialog {
    width: 95% !important;
  }
  .modal-box .modal-dialog .modal-content .modal-body {
    padding: 0 25px 45px !important;
  }
  .modal-box .modal-dialog .modal-content .modal-body .title {
    font-size: 33px;
  }
  .modal-box .show-modal {
    bottom: 15px;
    left: 15px;
    font-size: 15px;
    padding: 10px 15px;
  }
}